Bug 500553 - [Indic] Indic hunspell dictionary not working with kate
[Indic] Indic hunspell dictionary not working with kate
Status: CLOSED DUPLICATE of bug 500559
Product: Fedora
Classification: Fedora
Component: enchant (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 05:18 EDT by Parag Nemade
Modified: 2009-05-13 10:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-13 10:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
See default spell checker is not selected to that of locale in which kate is started. (180.59 KB, image/png)
2009-05-13 05:18 EDT, Parag Nemade
no flags Details

  None (edit)
Description Parag Nemade 2009-05-13 05:18:37 EDT
Created attachment 343731 [details]
See default spell checker is not selected to that of locale in which kate is started.

Description of problem:
When tried to use Marathi hunspell in kate, I saw default spell checker selected was not Marathi but English(USA)


Version-Release number of selected component (if applicable):
kdesdk-4.2.2-2.fc11.x86_64
kdebase-4.2.2-2.fc11.x86_64
enchant-1.4.2-5.fc11.x86_64
hunspell-mr-20060920-2.fc11.noarch
enchant-1.4.2-5.fc11.i586


How reproducible:
always

Steps to Reproduce:
1.Start KDE in Marathi
2.For easy testing copy text from http://mr.wikipedia.org to kate
3. Apply spell checker
  
Actual results:
Kate used English locale hunspell dictionary when asked to spell check.


Expected results:
Kate should use default locale hunspell dictionary when asked to spell check.

Additional info:
This bug is present for Indic languages. I just reproduced for mr_IN, gu_IN,bn_IN,ta_IN languages.
Comment 1 Parag Nemade 2009-05-13 05:55:37 EDT
Common error I got for all Indic languages is
WARNING **: Error loading plugin: /usr/lib/enchant/libenchant_myspell.so: wrong ELF class: ELFCLASS32
Comment 2 Kevin Kofler 2009-05-13 10:41:39 EDT
That's the exact same issue as in KWrite.

*** This bug has been marked as a duplicate of bug 500559 ***

Note You need to log in before you can comment on or make changes to this bug.